<?php
/**
* DB接続チェックタスク
*
* PHP version 5
*
* @author     stk2k <stk2k@sazysoft.com>
* @copyright  2008 stk2k, sazysoft
*/
class DBConnectCheckTask extends DatabaseTask implements ITask
{
	public $success;

	/*
	 *    コンストラクタ
	 */
	public function __construct()
	{
		parent::__construct();

		$this->success = FALSE;
	}

	/**
	 * イベントを処理する
	 */
	public function processEvent( IEvent $event, TaskSnapshot $snapshot )
	{
		// 接続チェック
		try{
			// 設定を再読み込み
			$this->refresh();

			// 接続テスト
			$this->getDataSource()->connectDefault( FALSE );

			// 切断
			$this->getDataSource()->disconnect();

			// 成功
			$this->success = TRUE;
		}
		catch ( Exception $ex ){

			_catch($ex);

			// 失敗
			$this->success = FALSE;
		}

		return b(TRUE);
	}

}
